from abc import ABC, abstractmethod
# import os

from source.classes import Maze


class Event:
    def __init__(self, event: str, maze: Maze, player_position: tuple[int, int], path):
        self.event = event
        self.maze = maze
        self.player_position = player_position
        self.path = path


class Observer(ABC):

    @abstractmethod
    def update(self, event: Event):
        pass


